$ErrorActionPreference = 'Stop'

$url64 = "https://github.com/infracost/infracost/releases/download/v0.10.24/infracost-windows-amd64.zip"
$unzipLocation = Split-Path -Parent $MyInvocation.MyCommand.Definition

$packageParams = @{
  PackageName   = 'infracost'
  UnzipLocation = $unzipLocation
  Url64         = $url64
  Checksum64    = '6630CC56F711046F7F5029D74856C5E67B6BA14983EA56BE34D9AA6E29F6A24F'
  ChecksumType  = 'sha256'
}

Install-ChocolateyZipPackage @packageParams
